import request from '@/utils/request'

// 查询分支机构备案信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrBranchOfficesInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询分支机构备案信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrBranchOfficesInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增分支机构备案信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrBranchOfficesInfo',
    method: 'post',
    data: data
  })
}

// 修改分支机构备案信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrBranchOfficesInfo',
    method: 'put',
    data: data
  })
}

// 删除分支机构备案信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrBranchOfficesInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrBranchOfficesInfo/delete',ids)
}
